Holger's Java API

## com.antelmann.cddb
Class CDDriveSample

    java.lang.Object
      com.antelmann.cddb.CDDrive
          com.antelmann.cddb.CDDriveSample

All Implemented Interfaces:
  Serializable

    public class CDDriveSample

extends CDDrive
implements Serializable

A sample platform independent implementation for testing purposes

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`CDDriveSample()`
`CDDriveSample(String queryString)` the query string MUST be in the exact format of the CDDB query string.

Method Summary
`void` `backward()`
`void` `eject()`
`void` `forward()`
`void` `pause()`
`void` `play()`
`void` `stop()`

Methods inherited from class com.antelmann.cddb.CDDrive
`getCDID, getQueryString, isCDAvailable, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDDriveSample

    public CDDriveSample()

### CDDriveSample

    public CDDriveSample(String queryString)

  the query string MUST be in the exact format of the CDDB query string.

  See Also:
    `CDDrive.getQueryString()`

Method Detail

### eject

    public void eject()

  Specified by:
    `eject` in class `CDDrive`

### play

    public void play()

  Specified by:
    `play` in class `CDDrive`

### stop

    public void stop()

  Specified by:
    `stop` in class `CDDrive`

### backward

    public void backward()

  Specified by:
    `backward` in class `CDDrive`

### forward

    public void forward()

  Specified by:
    `forward` in class `CDDrive`

### pause

    public void pause()

  Specified by:
    `pause` in class `CDDrive`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads